Package com.orchestranetworks.d3

# Interface D3Broadcast.Status

Enclosing interface:
  D3Broadcast

public static interface D3Broadcast.Status
Global status of the snapshot broadcast operation. Clustered mode is transactional, with two commit phases:

- Phase 1: `'Not initialized'` or `'In progress'`
- Phase 2: `'Commit'` or `'Rollback'`

Federation mode is transactional with a single phase:

- `'Not initialized'`: if the broadcast operation has not yet begun
- `'In progress'`: if the federated delivery is in progress or waiting for the next replay
- `'Commit'`: if the federated delivery ends successfully
- `'Rollback'`: if the federated delivery ends with an error

Since:
  5.2.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLabel(Locale aLocale)`
  Returns the broadcast operation status label depending on the specified locale.
  `boolean`
  `isCommit()`
  Returns `true` if the broadcast operation succeeded, otherwise returns `false`.
  `boolean`
  `isInProcess()`
  Returns `true` if the broadcast operation is in progress, otherwise returns `false`.
  `boolean`
  `isNotInitialized()`
  Returns `true` if the broadcast operation has not begun yet, otherwise returns `false`.
  `boolean`
  `isRollback()`
  Returns `true` if the broadcast operation failed, otherwise returns `false`.

- ## Method Details

  - ### getLabel

    String getLabel(Locale aLocale)
    Returns the broadcast operation status label depending on the specified locale.

    If the locale language is `fr`, returns label in French. Otherwise, returns in English.

  - ### isNotInitialized

    boolean isNotInitialized()
    Returns `true` if the broadcast operation has not begun yet, otherwise returns `false`.

  - ### isInProcess

    boolean isInProcess()
    Returns `true` if the broadcast operation is in progress, otherwise returns `false`.

  - ### isCommit

    boolean isCommit()
    Returns `true` if the broadcast operation succeeded, otherwise returns `false`.

  - ### isRollback

    boolean isRollback()
    Returns `true` if the broadcast operation failed, otherwise returns `false`.